<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAccVendorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('acc_vendors', function (Blueprint $table) {
            $table->id();
            $table->integer('branch')->nullable();
            $table->string('name')->nullable();
            $table->string('acc_no')->nullable();
            $table->string('contact_person')->nullable();
            $table->string('ledger_id')->nullable();
            $table->string('phone')->nullable();
            $table->string('email')->nullable();
            $table->string('kra')->nullable();
            $table->boolean('status')->default(true);
            $table->string('stamp', 10)->nullable();
            $table->string('created_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('acc_vendors');
    }
}
